Returns task dependencies for a project.

GEThttps://api.awork.com/api/v1/projects/{projectId}/taskdependencies
GET https://api.awork.com/api/v1/projects/{projectId}/taskdependencies

Returns dependencies involving tasks in the specified project.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Responses

200 OK

application/json

predecessorIdstringOptional
format: uuid

The Id of the predecessor. A task can have multiple predecessors through multiple dependency relationships.

successorIdstringOptional
format: uuid

The Id of the successor. A task can have multiple successors through multiple dependency relationships.

idstringOptional
format: uuid

The id of the task dependency.

createdOnstringOptional
format: date-time

The date this task dependency was created.

createdBystringOptional
format: uuid

The id of the user who created this task dependency.

updatedOnstringOptional
format: date-time

The date this task dependenc was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task dependency.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation